#ifndef SCROLL_H_INC
#define SCROLL_H_INC
#include "drawstd.h"
#include "basewin.h"

class ScrollWindowClass : public WindowBaseClass
{
public:
   ScrollWindowClass()
   {
      YOffset = 0;
      XOffset = 0;
   }
   ~ScrollWindowClass()
   {
   }
   virtual void SetScroll(uint32_t aWinWidth, uint32_t aWinHeight, uint32_t aDispWidth, uint32_t aDispHeight);

   virtual void OnVScroll(int aCode, int aPos);
   virtual void OnHScroll(int aCode, int aPos);

protected:
   int32_t YOffset;
   int32_t XOffset;
   uint32_t DispWidth;
   uint32_t DispHeight;
   uint32_t WinWidth;
   uint32_t WinHeight;
};

#endif
