#ifndef DRAWSTD_H_INC
#define DRAWSTD_H_INC
#include <string>
#include <sstream>

#if defined(__DMC__) || defined (__GNUC__)
#include <stdint.h>
#else
typedef unsigned char uint8_t;
typedef signed char int8_t;
typedef unsigned short uint16_t;
typedef signed short int16_t;
typedef unsigned int uint32_t;
typedef signed int int32_t;
#endif

// Microsoft Visual V++ dont like std::min, hence
template <typename T> T DrawMin(T a, T b)
{
   return a <= b ? a : b;
}

template <typename T> T DrawMax(T a, T b)
{
   return a >= b ? a : b;
}

template <typename T>
std::string ToString(T aValue)
{
   std::stringstream ss;
   ss << aValue;
   return ss.str();
}

#ifdef _MSC_VER
#pragma warning( disable : 4800 ) // 'int' : forcing value to bool 'true' or 'false' (performance warning)
#endif

#endif
